#include <GUIConstantsEx.au3>
#include <ButtonConstants.au3>
#include '_MouseHover.au3'

GUICreate("My GUI")
$Button = GUICtrlCreateButton("my picture button", 10, 20, 40, 40, $BS_ICON)
GUICtrlSetImage(-1, "shell32.dll", 22)

_HoverAddCtrl($Button)
AdlibEnable("_ProcessHover", 50)

GUISetState()

While 1
    $msg = GUIGetMsg()
     If $msg = $GUI_EVENT_CLOSE Then ExitLoop
WEnd

Func _HoverFound($ControlID)
    Switch $ControlID
        Case $Button
            GUICtrlSetImage(-1, "shell32.dll", 23)
    EndSwitch
EndFunc

Func _HoverLost($ControlID)
    Switch $ControlID 
    Case $Button
        GUICtrlSetImage(-1, "shell32.dll", 22)
    EndSwitch
EndFunc

Func _ProcessHover()
    $ControlID = _HoverCheck()
    If IsArray($ControlID) Then
        If $ControlID[0] = "AcquiredHover" Then
            _HoverFound($ControlID[1])
        Else
            _HoverLost($ControlID[1])
        EndIf
    EndIf
EndFunc